## nghttp2 0.4.0

=== debian/changelog ===
nghttp2 (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Major soname bumped so rename packages to libnghttp2-3*

 -- Dave Beckett <dajobe@debian.org>  Sat, 17 May 2014 09:35:36 -0700

nghttp2 (0.3.2-3) experimental; urgency=medium

  * Add symbols

 -- Dave Beckett <dajobe@debian.org>  Sat, 08 Mar 2014 15:35:32 -0800

nghttp2 (0.3.2-2) experimental; urgency=medium

  * Explicitly set to install AUTHORS and README.rst (not README
    which is a pointer).  (Closes: #741102)
  * Remove useless objects.inv from libnghttp2-doc

 -- Dave Beckett <dajobe@debian.org>  Sat, 08 Mar 2014 10:36:48 -0800

nghttp2 (0.3.2-1) experimental; urgency=medium

  * New upstream release
  * Added doc-base file for libnghttp2-doc
  * Mark libnghttp2-2-dbg as Multi-Arch: same

 -- Dave Beckett <dajobe@debian.org>  Sun, 02 Mar 2014 10:24:19 -0800

nghttp2 (0.3.1-1) experimental; urgency=medium

  * New upstream release
  * Use the new upstream manpages
  * Remove debian/sphinx.tar.bz2 now upstream ships it
  * debian/README.source: removed since upstream source is good

 -- Dave Beckett <dajobe@debian.org>  Mon, 17 Feb 2014 13:14:09 -0800

nghttp2 (0.3.0-3) experimental; urgency=medium

  * Update debian/sphinx.tar.bz2 from latest git upstream
  * debian/copyright: Updated to describe above

 -- Dave Beckett <dajobe@debian.org>  Fri, 14 Feb 2014 09:53:50 -0800

nghttp2 (0.3.0-2) experimental; urgency=medium

  * Build-Depends: pkg-config, libpython-dev

 -- Dave Beckett <dajobe@debian.org>  Mon, 10 Feb 2014 19:09:47 -0800

nghttp2 (0.3.0-1) experimental; urgency=medium

  * New upstream release
  * Major soname bumped so rename packages to libnghttp2-2*
  * Added libnghttp2-2-dbg package
  * Added libnghttp2-2.shlibs to manage changing ABI
  * debian/copyright: updated for new files
  * debian/watch: added debian and uupdate
  * Added debian/sphinx.tar.bz2 from upstream so 'make html' works.

 -- Dave Beckett <dajobe@debian.org>  Fri, 07 Feb 2014 14:45:39 -0800

nghttp2 (0.2.0-1) experimental; urgency=low

  * Initial release. (Closes: #737261)

 -- Dave Beckett <dajobe@debian.org>  Fri, 31 Jan 2014 23:18:41 -0800

## nghttp2 1.13.0

=== src/CMakeLists.txt ===
add_subdirectory(includes)

file(GLOB c_sources *.c)
set_source_files_properties(${c_sources} PROPERTIES
  COMPILE_FLAGS "${WARNCFLAGS}")
file(GLOB cxx_sources *.cc)
set_source_files_properties(${cxx_sources} PROPERTIES
  COMPILE_FLAGS "${WARNCXXFLAGS} ${CXX1XCXXFLAGS}")

include_directories(
  "${CMAKE_SOURCE_DIR}/lib/includes"
  "${CMAKE_BINARY_DIR}/lib/includes"
  "${CMAKE_SOURCE_DIR}/lib"
  "${CMAKE_SOURCE_DIR}/src/includes"
  "${CMAKE_SOURCE_DIR}/third-party"

  ${JEMALLOC_INCLUDE_DIRS}
  ${SPDYLAY_INCLUDE_DIRS}
  ${LIBXML2_INCLUDE_DIRS}
  ${LIBEV_INCLUDE_DIRS}
  ${OPENSSL_INCLUDE_DIRS}
  ${JANSSON_INCLUDE_DIRS}
  ${ZLIB_INCLUDE_DIRS}
)

# XXX per-target?
link_libraries(
  nghttp2
  ${JEMALLOC_LIBRARIES}
  ${SPDYLAY_LIBRARIES}
  ${LIBXML2_LIBRARIES}
  ${LIBEV_LIBRARIES}
  ${OPENSSL_LIBRARIES}
  ${JANSSON_LIBRARIES}
  ${ZLIB_LIBRARIES}
  ${APP_LIBRARIES}
)

if(ENABLE_APP)
  set(HELPER_OBJECTS
    util.cc
    http2.cc timegm.c app_helper.cc nghttp2_gzip.c
  )

  # nghttp client
  set(NGHTTP_SOURCES
    ${HELPER_OBJECTS}
    nghttp.cc
    ssl.cc
  )
  if(HAVE_LIBXML2)
    list(APPEND NGHTTP_SOURCES HtmlParser.cc)
  endif()

  # nghttpd
  set(NGHTTPD_SOURCES
    ${HELPER_OBJECTS}
    nghttpd.cc
    ssl.cc
    HttpServer.cc
  )

  # h2load
  set(H2LOAD_SOURCES
    util.cc
    http2.cc h2load.cc
    timegm.c
    ssl.cc
    h2load_http2_session.cc
    h2load_http1_session.cc
  )
  if(HAVE_SPDYLAY)
    list(APPEND H2LOAD_SOURCES
      h2load_spdy_session.cc
    )
  endif()


  # Common libnhttpx sources (used for nghttpx and unit tests)
  set(NGHTTPX_SRCS
    util.cc http2.cc timegm.c
    app_helper.cc
    ssl.cc
    shrpx_config.cc
    shrpx_accept_handler.cc
    shrpx_connection_handler.cc
    shrpx_client_handler.cc
    shrpx_http2_upstream.cc
    shrpx_https_upstream.cc
    shrpx_downstream.cc
    shrpx_downstream_connection.cc
    shrpx_http_downstream_connection.cc
    shrpx_http2_downstream_connection.cc
    shrpx_http2_session.cc
    shrpx_downstream_queue.cc
    shrpx_log.cc
    shrpx_http.cc
    shrpx_io_control.cc
    shrpx_ssl.cc
    shrpx_worker.cc
    shrpx_log_config.cc
    shrpx_connect_blocker.cc
    shrpx_live_check.cc
    shrpx_downstream_connection_pool.cc
    shrpx_rate_limit.cc
    shrpx_connection.cc
    shrpx_memcached_dispatcher.cc
    shrpx_memcached_connection.cc
    shrpx_worker_process.cc
    shrpx_signal.cc
    shrpx_router.cc
    shrpx_api_downstream_connection.cc
    shrpx_health_monitor_downstream_connection.cc
  )
  if(HAVE_SPDYLAY)
    list(APPEND NGHTTPX_SRCS
      shrpx_spdy_upstream.cc
    )
  endif()
  if(HAVE_MRUBY)
    list(APPEND NGHTTPX_SRCS
      shrpx_mruby.cc
      shrpx_mruby_module.cc
      shrpx_mruby_module_env.cc
      shrpx_mruby_module_request.cc
      shrpx_mruby_module_response.cc
    )
  endif()
  add_library(nghttpx_static STATIC ${NGHTTPX_SRCS})
  set_target_properties(nghttpx_static PROPERTIES ARCHIVE_OUTPUT_NAME nghttpx)

  set(NGHTTPX-bin_SOURCES
    shrpx.cc
  )

  if(HAVE_MRUBY)
    target_link_libraries(nghttpx_static mruby-lib)
  endif()

  if(HAVE_NEVERBLEED)
    target_link_libraries(nghttpx_static neverbleed)
  endif()


  if(HAVE_CUNIT)
    set(NGHTTPX_UNITTEST_SOURCES
      shrpx-unittest.cc
      shrpx_ssl_test.cc
      shrpx_downstream_test.cc
      shrpx_config_test.cc
      shrpx_worker_test.cc
      shrpx_http_test.cc
      shrpx_router_test.cc
      http2_test.cc
      util_test.cc
      nghttp2_gzip_test.c
      nghttp2_gzip.c
      buffer_test.cc
      memchunk_test.cc
      template_test.cc
      base64_test.cc
    )
    add_executable(nghttpx-unittest EXCLUDE_FROM_ALL
      ${NGHTTPX_UNITTEST_SOURCES}
      $<TARGET_OBJECTS:http-parser>
    )
    target_include_directories(nghttpx-unittest PRIVATE ${CUNIT_INCLUDE_DIRS})
    target_compile_definitions(nghttpx-unittest
      PRIVATE "-DNGHTTP2_SRC_DIR=\"${CMAKE_SOURCE_DIR}/src\""
    )
    target_link_libraries(nghttpx-unittest nghttpx_static ${CUNIT_LIBRARIES})
    if(HAVE_MRUBY)
      target_link_libraries(nghttpx-unittest mruby-lib)
    endif()
    if(HAVE_NEVERBLEED)
      target_link_libraries(nghttpx-unittest neverbleed)
    endif()

    add_test(nghttpx-unittest nghttpx-unittest)
    add_dependencies(check nghttpx-unittest)
  endif()

  add_executable(nghttp   ${NGHTTP_SOURCES}   $<TARGET_OBJECTS:http-parser>)
  add_executable(nghttpd  ${NGHTTPD_SOURCES}  $<TARGET_OBJECTS:http-parser>)
  add_executable(nghttpx  ${NGHTTPX-bin_SOURCES} $<TARGET_OBJECTS:http-parser>)
  target_compile_definitions(nghttpx PRIVATE "-DPKGDATADIR=\"${PKGDATADIR}\"")
  target_link_libraries(nghttpx nghttpx_static)
  add_executable(h2load   ${H2LOAD_SOURCES}   $<TARGET_OBJECTS:http-parser>)

  install(TARGETS nghttp nghttpd nghttpx h2load
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
endif()

if(ENABLE_HPACK_TOOLS)
  set(inflatehd_SOURCES
    inflatehd.cc
    comp_helper.c
  )
  set(deflatehd_SOURCES
    deflatehd.cc
    comp_helper.c
  )
  add_executable(inflatehd ${inflatehd_SOURCES})
  add_executable(deflatehd ${deflatehd_SOURCES})
  install(TARGETS inflatehd deflatehd
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
endif()

if(ENABLE_ASIO_LIB)
  set(NGHTTP2_ASIO_SOURCES
    util.cc http2.cc
    ssl.cc
    timegm.c
    asio_common.cc
    asio_io_service_pool.cc
    asio_server_http2.cc
    asio_server_http2_impl.cc
    asio_server.cc
    asio_server_http2_handler.cc
    asio_server_request.cc
    asio_server_request_impl.cc
    asio_server_response.cc
    asio_server_response_impl.cc
    asio_server_stream.cc
    asio_server_serve_mux.cc
    asio_server_request_handler.cc
    asio_server_tls_context.cc
    asio_client_session.cc
    asio_client_session_impl.cc
    asio_client_session_tcp_impl.cc
    asio_client_session_tls_impl.cc
    asio_client_response.cc
    asio_client_response_impl.cc
    asio_client_request.cc
    asio_client_request_impl.cc
    asio_client_stream.cc
    asio_client_tls_context.cc
  )

  add_library(nghttp2_asio SHARED
     ${NGHTTP2_ASIO_SOURCES}
     $<TARGET_OBJECTS:http-parser>
  )
  target_include_directories(nghttp2_asio PRIVATE
    ${OPENSSL_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
  )
  target_link_libraries(nghttp2_asio
    nghttp2
    ${OPENSSL_LIBRARIES}
    ${Boost_LIBRARIES}
  )
  set_target_properties(nghttp2_asio PROPERTIES
    VERSION 1.0.0 SOVERSION 1)

  install(TARGETS nghttp2_asio
    DESTINATION "${CMAKE_INSTALL_LIBDIR}")

  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libnghttp2_asio.pc"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
endif()

## nghttp2 0.4.1

=== debian/changelog ===
nghttp2 (0.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Tue, 03 Jun 2014 20:50:26 -0700

=== debian/control ===
Source: nghttp2
Maintainer: Dave Beckett <dajobe@debian.org>
Section: httpd
Priority: optional
Build-Depends: debhelper (>= 9), cdbs (>= 0.4.93~),
  autotools-dev, libtool, pkg-config,
  zlib1g-dev (>= 1.2.3), libssl-dev (>= 1.0.1), libxml2-dev (>= 2.7.7),
  libevent-dev (>= 2.0.8), libpython-dev,
  python-sphinx
Standards-Version: 3.9.5
Homepage: http://tatsuhiro-t.github.io/nghttp2/

Package: libnghttp2-3-dev
Suggests: libnghttp2-doc
Section: libdevel
Architecture: any
Conflicts: libnghttp2-2-dev
Replaces: libnghttp2-2-dev
Depends: ${misc:Depends}, libnghttp2-3 (= ${binary:Version}), pkg-config
Recommends: nghttp2d
Description: nghttp2 HTTP 2.0 development libraries and headers
 Provides development library and headers for an experimental
 implementation of Hypertext Transfer Protocol version 2.0

Package: libnghttp2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, lynx | www-browser, libjs-underscore, libjs-jquery
Description: Documentation for the nghttp2 HTTP 2.0 library
 HTML documentation for the experimental nghttp2 library.

Package: libnghttp2-3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: nghttp HTTP 2.0 library
 Provides a library that provides an experimental implementation of
 Hypertext Transfer Protocol version 2.0.

Package: libnghttp2-3-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libnghttp2-3 (= ${binary:Version})
Description: nghttp HTTP 2.0 library - debugging symbols
 Provides a library that provides an experimental implementation of
 Hypertext Transfer Protocol version 2.0.
 .
 This package contains the debugging symbols for debugging
 applications which use libraptor2.

Package: nghttp2
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, libnghttp2-3 (= ${binary:Version}), ${shlibs:Depends}
Description: nghttp HTTP 2.0 servers
 Provides experimental implementation of Hypertext Transfer Protocol
 version 2.0 including a server (nghttpd), client (nghttp) and
 reverse proxy (nghttpx) for fronting other HTTP servers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DBG_PACKAGE_libnghttp2-3 = libnghttp2-3-dbg

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
  --bindir=\$${prefix}/bin/$(DEB_HOST_MULTIARCH)

LDFLAGS += -Wl,--default-symver

## Show what dh_autoreconf is deleting / moving / restoring
#DEB_DH_AUTORECONF_ARGS := --verbose

# Do not want README so set the default docs explicitly
DEB_INSTALL_DOCS_ALL = AUTHORS README.rst

clean::
	rm -rf doc/manual/html doc/manual/doctrees doc/apiref.rst

install/libnghttp-dev::
	rm -f debian/tmp/usr/lib/*/libnghttp2.la

build/libnghttp2-doc::
	$(MAKE) html

install/libnghttp2-doc::
	d=$(CURDIR)/debian/libnghttp2-doc/usr/share/doc/libnghttp2-doc; \
	mkdir -p $$d; \
	cp -pr doc/manual/html/* $$d; \
	cd $$d; \
	rm -f objects.inv; \
	cd _static; \
	ln -sf /usr/share/javascript/jquery/jquery.js; \
	ln -sf /usr/share/javascript/underscore/underscore.js

## nghttp2 0.6.4

=== debian/changelog ===
nghttp2 (0.6.4-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Build-depend on python-dev instead of libpython-dev
  * Disable threads to compile successfully with old GCC without
    thread_local support
  * Stop building examples because some of them fail to build due to
    colliding symbols like deflate() in other libraries

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 31 Aug 2016 22:24:26 +0200

nghttp2 (0.6.4-2) unstable; urgency=medium

  * debian/rules: Fix test for jemalloc configure arg so hurd may build

 -- Dave Beckett <dajobe@debian.org>  Sun, 19 Oct 2014 08:36:26 -0700

nghttp2 (0.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Tue, 14 Oct 2014 10:55:00 -0700

nghttp2 (0.6.3-2) unstable; urgency=medium

  * Standards-Version: 3.9.6
  * Disable dependency and use of jemalloc on hurd since it's broken
    there, and an upstream recommendation not requirement.

 -- Dave Beckett <dajobe@debian.org>  Sun, 12 Oct 2014 13:21:05 -0700

nghttp2 (0.6.3-1) unstable; urgency=medium

  * New upstream release (Closes: #763906, #750616)
  * Removed debian/patches/path_max.patch applied upstream

 -- Dave Beckett <dajobe@debian.org>  Fri, 10 Oct 2014 09:12:15 -0700

nghttp2 (0.6.2-2) unstable; urgency=medium

  * debian/rules: Add quilt for patching
  * debian/patches/path_max.patch Added to remove use of PATH_MAX;
    also applied upstream (Closes: #762696)

 -- Dave Beckett <dajobe@debian.org>  Fri, 03 Oct 2014 07:00:49 -0700

nghttp2 (0.6.2-1) unstable; urgency=medium

  * New upstream release
  * Add the recommended jemalloc

 -- Dave Beckett <dajobe@debian.org>  Sun, 28 Sep 2014 08:41:32 -0700

nghttp2 (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Fix some lintian deb5 warnings

 -- Dave Beckett <dajobe@debian.org>  Wed, 10 Sep 2014 13:30:14 -0700

nghttp2 (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * Major soname bumped so rename packages to libnghttp2-5*
  * Switch dev package to libnghttp2-dev from ftpmaster suggestion

 -- Dave Beckett <dajobe@debian.org>  Sat, 30 Aug 2014 11:34:33 -0700

nghttp2 (0.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Wed, 23 Jul 2014 13:51:09 -0700

nghttp2 (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Major soname bumped so rename packages to libnghttp2-4*

 -- Dave Beckett <dajobe@debian.org>  Fri, 18 Jul 2014 12:34:34 -0700

=== debian/control ===
Source: nghttp2
Maintainer: Dave Beckett <dajobe@debian.org>
Section: httpd
Priority: optional
Build-Depends: debhelper (>= 9), cdbs (>= 0.4.93~), quilt,
  autotools-dev, libtool, pkg-config,
  zlib1g-dev (>= 1.2.3), libssl-dev (>= 1.0.1), libxml2-dev (>= 2.7.7),
  libevent-dev (>= 2.0.8), python-dev,
  libjemalloc-dev [!hurd-i386],
  python-sphinx
Standards-Version: 3.9.6
Homepage: http://tatsuhiro-t.github.io/nghttp2/

Package: libnghttp2-dev
Suggests: libnghttp2-doc
Section: libdevel
Architecture: any
Conflicts: libnghttp2-3-dev, libnghttp2-4-dev
Replaces: libnghttp2-3-dev, libnghttp2-4-dev
Depends: ${misc:Depends}, libnghttp2-5 (= ${binary:Version}), pkg-config
Recommends: nghttp2d
Description: nghttp2 HTTP 2.0 development libraries and headers
 Provides development library and headers for an experimental
 implementation of Hypertext Transfer Protocol version 2.0

Package: libnghttp2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, lynx | www-browser, libjs-underscore, libjs-jquery
Description: Documentation for the nghttp2 HTTP 2.0 library
 HTML documentation for the experimental nghttp2 library.

Package: libnghttp2-5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: nghttp HTTP 2.0 library
 Provides a library that provides an experimental implementation of
 Hypertext Transfer Protocol version 2.0.

Package: libnghttp2-5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libnghttp2-5 (= ${binary:Version})
Description: nghttp HTTP 2.0 library - debugging symbols
 Provides a library that provides an experimental implementation of
 Hypertext Transfer Protocol version 2.0.
 .
 This package contains the debugging symbols for debugging
 applications which use libraptor2.

Package: nghttp2
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, libnghttp2-5 (= ${binary:Version}), ${shlibs:Depends}
Description: nghttp HTTP 2.0 servers
 Provides experimental implementation of Hypertext Transfer Protocol
 version 2.0 including a server (nghttpd), client (nghttp) and
 reverse proxy (nghttpx) for fronting other HTTP servers.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,21 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 #include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
-DEB_DBG_PACKAGE_libnghttp2-3 = libnghttp2-3-dbg
+DEB_DBG_PACKAGE_libnghttp2-5 = libnghttp2-5-dbg
 
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
-  --bindir=\$${prefix}/bin/$(DEB_HOST_MULTIARCH)
+  --bindir=\$${prefix}/bin/$(DEB_HOST_MULTIARCH) \
+  --disable-failmalloc \
+  --disable-threads \
+  --disable-examples \
+  --with-libxml2=yes \
+  --with-spdylay=no
+
+ifeq (,$(filter hurd-%,$(DEB_BUILD_ARCH)))
+  DEB_CONFIGURE_EXTRA_FLAGS += --with-jemalloc=yes
+endif
 
 LDFLAGS += -Wl,--default-symver
 
@@ -20,7 +30,7 @@
 clean::
 	rm -rf doc/manual/html doc/manual/doctrees doc/apiref.rst
 
-install/libnghttp-dev::
+install/libnghttp2-dev::
 	rm -f debian/tmp/usr/lib/*/libnghttp2.la
 
 build/libnghttp2-doc::

## nghttp2 0.6.7

=== debian/changelog ===
nghttp2 (0.6.7-1) unstable; urgency=medium

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sun, 30 Nov 2014 13:45:03 -0800

nghttp2 (0.6.6-1) unstable; urgency=medium

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sat, 08 Nov 2014 14:02:38 -0800

nghttp2 (0.6.5-2) unstable; urgency=medium

  * Fix nghttpx init script path.

 -- Dave Beckett <dajobe@debian.org>  Fri, 31 Oct 2014 11:44:14 -0700

nghttp2 (0.6.5-1) unstable; urgency=medium

  * New upstream release
  * Install init file and logrotate files for nghttpx daemon into
    the nghttp2 package.  Add sample config file.

 -- Dave Beckett <dajobe@debian.org>  Thu, 30 Oct 2014 11:57:27 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), cdbs (>= 0.4.93~), quilt,
   autotools-dev, libtool, pkg-config,
   zlib1g-dev (>= 1.2.3), libssl-dev (>= 1.0.1), libxml2-dev (>= 2.7.7),
-  libevent-dev (>= 2.0.8), python-dev,
+  libevent-dev (>= 2.0.8), libpython-dev,
   libjemalloc-dev [!hurd-i386],
   python-sphinx
 Standards-Version: 3.9.6
@@ -56,7 +56,8 @@
 Package: nghttp2
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libnghttp2-5 (= ${binary:Version}), ${shlibs:Depends}
+Depends: ${misc:Depends}, libnghttp2-5 (= ${binary:Version}), ${shlibs:Depends},
+  lsb-base (>= 3.2-14)
 Description: nghttp HTTP 2.0 servers
  Provides experimental implementation of Hypertext Transfer Protocol
  version 2.0 including a server (nghttpd), client (nghttp) and

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,6 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
   --bindir=\$${prefix}/bin/$(DEB_HOST_MULTIARCH) \
   --disable-failmalloc \
-  --disable-threads \
-  --disable-examples \
   --with-libxml2=yes \
   --with-spdylay=no
 
@@ -27,8 +25,21 @@
 # Do not want README so set the default docs explicitly
 DEB_INSTALL_DOCS_ALL = AUTHORS README.rst
 
+# Install scripts for nghttpx init script installed in install/nghttp2 below
+DEB_DH_INSTALLINIT_ARGS_nghttp2 := --onlyscripts --name=nghttpx
+
 clean::
 	rm -rf doc/manual/html doc/manual/doctrees doc/apiref.rst
+
+# Need to install the contrib files, rename them and set the modes
+install/nghttp2::
+	install -d debian/nghttp2/etc/init.d
+	sed -e 's,^DAEMON=.*/,DAEMON=/usr/sbin/,' contrib/nghttpx-init > debian/nghttp2/etc/init.d/nghttpx
+	chmod 755 debian/nghttp2/etc/init.d/nghttpx
+	install -d debian/nghttp2/etc/nghttpx
+	install -m644 nghttpx.conf.sample debian/nghttp2/etc/nghttpx/nghttpx.conf
+	install -d debian/nghttp2/etc/logrotate.d
+	install -p -m644 contrib/nghttpx-logrotate debian/nghttp2/etc/logrotate.d/nghttpx
 
 install/libnghttp2-dev::
 	rm -f debian/tmp/usr/lib/*/libnghttp2.la

## nghttp2 1.7.0

=== debian/changelog ===
nghttp2 (1.7.0-1) unstable; urgency=medium

  * Imported upstream version 1.7.0

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 27 Jan 2016 18:10:34 +0100

nghttp2 (1.6.0-1) unstable; urgency=medium

  * Imported upstream version 1.6.0

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 26 Dec 2015 11:15:01 +0100

nghttp2 (1.5.0-2) unstable; urgency=medium

  * Update Build-Depends for cross compilation (Closes: #807849)
    Patch provided by Helmut Grohne (with some minor changes)
  * Split build into -arch and -indep packages
  * Fix two Lintian warnings

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 15 Dec 2015 11:39:36 +0100

nghttp2 (1.5.0-1) unstable; urgency=medium

  * Imported upstream version 1.5.0

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 05 Dec 2015 09:00:48 +0100

nghttp2 (1.4.0-2) unstable; urgency=medium

  * Fix systemd service

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 07 Nov 2015 14:17:48 +0100

nghttp2 (1.4.0-1) unstable; urgency=medium

  * Imported Upstream version 1.4.0

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 31 Oct 2015 18:41:18 +0100

nghttp2 (1.3.4-2) unstable; urgency=medium

  * Split into subpackages: nghttp2-{client,proxy,server} (Closes: #802206)

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 23 Oct 2015 17:39:22 +0200

nghttp2 (1.3.4-1) unstable; urgency=medium

  * Imported Upstream version 1.3.4 (Closes: #801957)
  * Adding myself as Uploader

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 01 Oct 2015 10:47:15 +0200

nghttp2 (1.3.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Imported Upstream version 1.3.2
  * d/patches: drop patches

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 19 Sep 2015 21:39:17 +0200

nghttp2 (1.3.1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build problem on armel

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 13 Sep 2015 09:37:02 +0200

nghttp2 (1.3.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Imported Upstream version 1.3.1 (Closes: #798598)
  * d/copyright: add license for mruby
  * d/conf: send errorlog to syslog

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 12 Sep 2015 22:34:22 +0200

nghttp2 (1.3.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable (Closes: #784666, #793571)
  * d/*: dropping dbg package (ddebs are coming)

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 08 Sep 2015 12:38:55 +0200

nghttp2 (1.3.0-0.1) experimental; urgency=medium

  * Non-maintainer upload
  * Imported Upstream version 1.3.0
  * Switch to dh

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 02 Sep 2015 18:22:19 +0200

=== debian/control ===
Source: nghttp2
Maintainer: Dave Beckett <dajobe@debian.org>
Uploaders: Tomasz Buchert <tomasz@debian.org>
Section: httpd
Priority: optional
Build-Depends: debhelper (>= 9.20141010),
               dh-autoreconf,
               dh-systemd (>= 1.5),
               dpkg-dev (>= 1.17.14),
               libcunit1-dev (>= 2.1),
               libev-dev (>= 1:4.15),
               libevent-dev (>= 2.0.8),
               libjansson-dev (>= 2.5),
               libjemalloc-dev [!hurd-i386],
               libspdylay-dev (>= 1.3.2),
               libssl-dev (>= 1.0.1),
               libxml2-dev (>= 2.7.7),
               pkg-config,
               zlib1g-dev (>= 1.2.3)
Build-Depends-Indep: python-sphinx
Standards-Version: 3.9.6
Homepage: http://tatsuhiro-t.github.io/nghttp2/
Vcs-Git: git://anonscm.debian.org/collab-maint/nghttp2.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nghttp2.git

Package: libnghttp2-dev
Suggests: libnghttp2-doc
Section: libdevel
Architecture: any
Conflicts: libnghttp2-3-dev, libnghttp2-4-dev, libnghttp2-5-dev
Replaces: libnghttp2-3-dev, libnghttp2-4-dev, libnghttp2-5-dev
Depends: libnghttp2-14 (= ${binary:Version}), pkg-config, ${misc:Depends}
Description: library implementing HTTP/2 protocol (development files)
 This is an implementation of the Hypertext Transfer Protocol version
 2 in C. The framing layer of HTTP/2 is implemented as a reusable C
 library.
 .
 This package installs development files.

Package: libnghttp2-doc
Section: doc
Architecture: all
Depends: libjs-jquery, libjs-underscore, lynx | www-browser, ${misc:Depends}
Description: library implementing HTTP/2 protocol (documentation)
 This is an implementation of the Hypertext Transfer Protocol version
 2 in C. The framing layer of HTTP/2 is implemented as a reusable C
 library.
 .
 This package installs documentation.

Package: libnghttp2-14
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library implementing HTTP/2 protocol (shared library)
 This is an implementation of the Hypertext Transfer Protocol version
 2 in C. The framing layer of HTTP/2 is implemented as a reusable C
 library.
 .
 This package installs a shared library.

Package: nghttp2-client
Architecture: any
Multi-Arch: foreign
Depends: libnghttp2-14 (= ${binary:Version}),
         lsb-base (>= 3.2-14),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: nghttp2 (<< 1.3.4-2~)
Breaks: nghttp2 (<< 1.3.4-2~)
Description: client implementing HTTP/2 protocol
 This is a command line client implementing the HTTP/2 protocol. It
 gives access to many low-level and advanced aspects of the protocol
 and therefore is useful for debugging.

Package: nghttp2-proxy
Architecture: any
Multi-Arch: foreign
Depends: libnghttp2-14 (= ${binary:Version}),
         lsb-base (>= 3.2-14),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: nghttp2 (<< 1.3.4-2~)
Breaks: nghttp2 (<< 1.3.4-2~)
Description: reverse proxy implementing HTTP/2 protocol
 This is a standalone server implementing the HTTP/2 protocol with
 HTTP/1.1 fallback for clients that do not support it. It can be used
 as a frontend in front of web servers that do not support HTTP/2.

Package: nghttp2-server
Architecture: any
Multi-Arch: foreign
Depends: libnghttp2-14 (= ${binary:Version}),
         lsb-base (>= 3.2-14),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: nghttp2 (<< 1.3.4-2~)
Breaks: nghttp2 (<< 1.3.4-2~)
Description: server implementing HTTP/2 protocol
 This is a standalone server implementing the HTTP/2 protocol with
 HTTP/1.1 fallback for clients that do not support it. It can be used
 to serve files from a local directory.

Package: nghttp2
Architecture: all
Depends: nghttp2-client (>= ${binary:Version}),
         nghttp2-proxy (>= ${binary:Version}),
         nghttp2-server (>= ${binary:Version}),
         ${misc:Depends}
Description: server, proxy and client implementing HTTP/2
 This package will install a set of programs implementing the HTTP/2
 protocol: a standalone server (nghttp2-server), a reverse proxy
 (nghttp2-proxy) and a client (nghttp2-client). It provides no files
 on its own and is not necessary for these programs to work.

## nghttp2 1.7.1

=== debian/changelog ===
nghttp2 (1.7.1-1) unstable; urgency=high

  * Imported upstream version 1.7.1 (fixes CVE-2016-1544)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 13 Feb 2016 10:17:19 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-autoreconf,
                dh-systemd (>= 1.5),
                dpkg-dev (>= 1.17.14),
-               libcunit1-dev (>= 2.1),
+               libcunit1-dev (>= 2.1) <!nocheck>,
                libev-dev (>= 1:4.15),
                libevent-dev (>= 2.0.8),
                libjansson-dev (>= 2.5),

=== debian/rules ===
#!/usr/bin/make -f

# this makes the tests fail
# LDFLAGS += -Wl,--default-symver

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-python-bindings=no --disable-failmalloc

override_dh_installdocs:
	dh_installdocs -A README.rst AUTHORS

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep:
	$(MAKE) html

# don't run tests when building indep packages
override_dh_auto_test-indep:

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/manual/html doc/manual/doctrees doc/apiref.rst

override_dh_auto_install-arch: custom_install_init_scripts custom_install_systemd
	dh_auto_install

override_dh_auto_install-indep: custom_install_manual

override_dh_installinit:
	dh_installinit -pnghttp2-proxy --onlyscripts --name=nghttpx

.PHONY: custom_install_manual custom_install_init_scripts custom_install_systemd

DOCDIR="debian/libnghttp2-doc/usr/share/doc/libnghttp2-doc"
custom_install_manual:
	mkdir -p $(DOCDIR)
	cp -pr doc/manual/html/* $(DOCDIR)
	rm $(DOCDIR)/objects.inv
	ln -sf /usr/share/javascript/jquery/jquery.js $(DOCDIR)/_static/jquery.js
	ln -sf /usr/share/javascript/underscore/underscore.js $(DOCDIR)/_static/underscore.js

ETCDIR="debian/nghttp2-proxy/etc"
custom_install_init_scripts:
	install -d $(ETCDIR)/init.d
	sed -e 's,^DAEMON=.*/,DAEMON=/usr/sbin/,' contrib/nghttpx-init > $(ETCDIR)/init.d/nghttpx
	chmod 755 $(ETCDIR)/init.d/nghttpx
	install -d $(ETCDIR)/nghttpx
	# we install our own version of config
	install -m644 debian/nghttpx.conf $(ETCDIR)/nghttpx/nghttpx.conf
	install -d $(ETCDIR)/logrotate.d
	install -p -m644 contrib/nghttpx-logrotate $(ETCDIR)/logrotate.d/nghttpx

# Currently we install our own systemd unit because
# the original one is slightly broken
SYSTEMD="debian/nghttp2-proxy/lib/systemd/system"
custom_install_systemd:
	install -d $(SYSTEMD)
	install -p -m644 debian/nghttpx.service $(SYSTEMD)/nghttpx.service

%:
	dh $@ --parallel --with=autoreconf --with=systemd

=== debian/watch ===
version=3
  https://github.com/tatsuhiro-t/nghttp2/releases .*/nghttp2-(\d\S*)\.tar\.bz2 debian uupdate

## nghttp2 1.13.0

=== debian/changelog ===
nghttp2 (1.13.0-1) unstable; urgency=medium

  * Imported upstream version 1.13.0
  * Drop merged upstream patches
  * Update URLs

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 24 Jul 2016 09:06:27 +0200

nghttp2 (1.12.0-2) unstable; urgency=medium

  * d/patches: fix FTBFS on armel

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 03 Jul 2016 23:18:42 +0200

nghttp2 (1.12.0-1) unstable; urgency=medium

  * Imported upstream version 1.12.0

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 02 Jul 2016 10:59:57 +0200

nghttp2 (1.11.1-1) unstable; urgency=medium

  * Imported upstream version 1.11.1

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 31 May 2016 23:28:27 +0200

nghttp2 (1.11.0-1) unstable; urgency=medium

  * Imported upstream version 1.11.0
  * d/control: bump std-ver to 3.9.8 (no changes needed)
  * d/symbols: update symbol list

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 29 May 2016 14:49:29 +0200

nghttp2 (1.10.0-1) unstable; urgency=medium

  * Imported upstream version 1.10.0
  * Fix broken default config for nghttp2-proxy
  * d/symbols: update the list of symbols

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 26 Apr 2016 23:29:25 +0200

nghttp2 (1.9.2-1) unstable; urgency=medium

  * Imported upstream version 1.9.2

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 05 Apr 2016 07:33:05 +0200

nghttp2 (1.9.1-1) unstable; urgency=medium

  * Imported upstream version 1.9.1

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 28 Mar 2016 11:17:23 +0200

nghttp2 (1.8.0-1) unstable; urgency=medium

  * Imported upstream version 1.8.0 (Closes: #811995)
  * d/symbols: update symbol list
  * d/control: bump std-ver to 3.9.7 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 29 Feb 2016 13:28:57 +0100

nghttp2 (1.7.1-2) unstable; urgency=medium

  * Add missing script for OCSP stapling (Closes: #815226)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 21 Feb 2016 21:22:54 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                pkg-config,
                zlib1g-dev (>= 1.2.3)
 Build-Depends-Indep: python-sphinx
-Standards-Version: 3.9.6
-Homepage: http://tatsuhiro-t.github.io/nghttp2/
+Standards-Version: 3.9.8
+Homepage: https://nghttp2.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/nghttp2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nghttp2.git
 
@@ -81,7 +81,9 @@
 Depends: libnghttp2-14 (= ${binary:Version}),
          lsb-base (>= 3.2-14),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+	 openssl,
+	 python
 Replaces: nghttp2 (<< 1.3.4-2~)
 Breaks: nghttp2 (<< 1.3.4-2~)
 Description: reverse proxy implementing HTTP/2 protocol
